Table of Contents

Class: TabnannyDialog | eric3/Checks/TabnannyDialog.py
--- | ---

Class implementing a dialog to show the results of the tabnanny check run.

Base Classes |
--- | ---
TabnannyForm

Methods |
--- | ---
__init__ buttonPressed finish openFile start
| __init__

    __init__ (
            self,
            viewmanager,
            parent=None,
            )

### Constructor

#### Arguments

viewmanager
  reference to the viewmanager object
parent
  parent widget (QWidget)

| buttonPressed

    buttonPressed ( self )

Private slot connected to the button clicked signal.

| finish

    finish ( self )

Private slot called when the action or the user pressed the button.

| openFile

    openFile ( self,  itm )

Private slot to handle the doubleClicked signal of the result list.

| start

    start ( self,  fn )

### Public slot to start the tabnanny check.

#### Arguments

fn
  file or list of files or directory to be checked (string or list of strings)

Table of Contents

This document was automatically generated by HappyDoc version 2.1